Bug 480428 - Please provide pom for this package
Please provide pom for this package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: javassist (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: john5342
Fedora Extras Quality Assurance
: Triaged
Depends On: 480093
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 19:27 EST by john5342
Modified: 2009-12-18 02:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:37:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john5342 2009-01-16 19:27:28 EST
Description of problem:
I am unable to build projects that depend on javassist through maven because the javassist pom has not been installed.

Version-Release number of selected component (if applicable):
javassist-3.9.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. Install javassist.
2. Build a maven project that requires javassist
  
Actual results:

Missing:
----------
1) javassist:javassist:jar:3.9.0.GA

  Try downloading the file manually from the project website.

  Then, install it using the command:
      mvn install:install-file -DgroupId=javassist -DartifactId=javassist \
          -Dversion=3.9.0.GA -Dpackaging=jar -Dfile=/path/to/file
...

Expected results:
A successful build

Additional info:
I would imagine a couple of the appropriate lines taken from https://fedoraproject.org/wiki/Packaging/Java#maven might fix this easily.
Comment 1 Sandro Mathys 2009-01-26 10:21:45 EST
I apologize for ignoring this bug report for so long - I've had some problems with my ISP lately.

Unfortunately, I'm not familiar with that maven stuff. I'll look into it as I see the need for this and I'd happily provide the necessary pom file. I'll need some time to see how other packages did provide the pom file. Do you by any chance now of a Fedora package that provides such a (working) file?

The solution's probably pretty easy once I now how to do this.
Comment 2 john5342 2009-01-26 16:16:47 EST
Have more or less re-written the existing spec file to build using maven and install pom.xml too. You are welcome on my part to either use my spec file as is or use parts of it or not at all as you wish.

http://john5342.fedorapeople.org/rpms/javassist.spec

Havent checked if the patch you are using actually does anything anymore with using maven to build.

Hope spec file helps. Let me know if you want any more info.
Comment 3 Rex Dieter 2009-01-27 14:36:41 EST
Sandro, are you willing to allow John to help comaintain this, at least in the short-term, so we can get this support added?

In the meantime, I'm going to flex my provenpackager muscles and get this into rawhide, so that we can take some baby steps forward in the meantime.

If you object to any of this, I'd be happy to discuss further on alternative plans.
Comment 4 Rex Dieter 2009-01-27 14:44:38 EST
bleh, looks like there's some rawhide mavin borkage:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1086665

but the modified version builds fine on F-10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1086699
Comment 5 Sandro Mathys 2009-01-27 18:01:33 EST
Thanks for asking me if I'm okay with you getting your hands into this, Rex. That's really the nice way to help out. Not very motivating, too.

John is welcome as a co-maintainer and always was (never asked for it, though). He's also welcome to take over this package if he wants to. 

Actually, I'd wish for someone else to take over this package after this intervention...pretty much pissed me off.

(I apologize for saying such stuff, but I really felt it was necessary.)
Comment 6 john5342 2009-01-27 18:48:11 EST
(In reply to comment #5)
> Thanks for asking me if I'm okay with you getting your hands into this, Rex.
> That's really the nice way to help out. Not very motivating, too.

I cant speak for Rex directly but i can assure you that his intentions were not to offend you in any way. There are at least two new packages that i am packaging that will depend on this package and it is fairly important that they get in well before F11 to allow for testing. I think he was simply trying to accelerate the process. I should also point out that none of the changes made are permanent (they could all have been reversed if required) and nothing was actually pushed to any repo.


> John is welcome as a co-maintainer and always was (never asked for it, though).
> He's also welcome to take over this package if he wants to. 

I know i never asked for it. Simply offered my help in the form of a pre-made spec file to use how you like. You said yourself that you werent sure of maven so i was helping out. Thats also one of the reasons for suggesting becoming a co-maintainer.


> Actually, I'd wish for someone else to take over this package after this
> intervention...pretty much pissed me off.

I would be happy to take over this package if you prefer. I am also quite happy to leave you as maintainer by yourself or i can co-maintain. I dont mind either way. It was certainly not anybodies intention to piss you off or offend you in any way.

Also as Rex stated if you had or have any objections to what is being done please talk to either of us so that we can come to a more agreeable solution.

> (I apologize for saying such stuff, but I really felt it was necessary.)
Comment 7 Sandro Mathys 2009-01-27 19:30:15 EST
I was grateful for the helping hand with maven and I understand that there's been the need to accelerate this (well, I didn't know this before). But I still think the nice way would be to actually first ask the maintainer if it is okay to make changes instead of making them and offer the maintainer to reverse them or whatever.

Anyway, I orphaned the package for all branches, feel free to take it.
Comment 8 Mamoru TASAKA 2009-01-27 22:39:22 EST
Well, as a person who reviewed and approved javaassist, and also
as the sponsor of the (former) maintainer of this package, I
post a comment here.

What happened on this package was disappointing also to me.

I have to say that I also think that such commitment 
which causes non-trivial change to the spec file other person
maintains should have been done after asking the maintainer
first. The (formar) maintainer is not non-responsive
(actually is trying hard to import tvbrowser into Fedora, 
which has many dependencies), and actually he posted
a comment on this bug two days ago. Currently I can find no reason
why such "acceleration" was needed for this package. F-11
is not to be released within one or two months.
Also he is very new contributor. What happened on this 
package can spoil the motivation of new contributors. Moreover,
as we see now after such commitment javassist no longer builds
on rawhide, and none of us seem to know the solution to it.
Comment 9 Fedora Admin XMLRPC Client 2009-01-28 04:29:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Rex Dieter 2009-01-28 09:26:02 EST
Sandro,  Mamoru,
My apologies, I clearly overstepped what is acceptable.  I made a mistake here, and I'm sorry.  I'll take care to be more respectful of my fellow fedora contributors in the future.

In my zeal, I lost sight of what's most valuable to fedora, it's people.  

Please allow me to describe what led to my insanity.  One of kde4's most important features, nepomuk (http://nepomuk.semanticdesktop.org/ ), is largely crippled without the soprano-sesame2 (java-based) backend.  Modifying javassist is one of the first steps required to bring it into fedora.  We had hoped to be able to get this to land in time for the KDE 4.2 release, and/or F11Alpha or F9/F10 KDE 4.2 updates.  Without some quick action, I was gravely concerned it wouldn't happen.  Apologies, again, for not making our (kde-sig) intentions and needs clear.

Let me re-iterate that this is no way justifies what happened, and I hope that we all can put this incident behind us, learn from it, and continue to move forward working *together* in making fedora better.

If there's anything else I can do to make good or atone, I invite further dialog (public or private).
Comment 11 Sandro Mathys 2009-01-28 14:05:24 EST
For me, that apology is fine as long as you don't repeat that mistake. Thanks for the explanation, too.
Comment 12 Bug Zapper 2009-11-18 05:46:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 02:37:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.